[Box Backup-commit] COMMIT r3629 - box/trunk/infrastructure/mingw

subversion at boxbackup.org subversion at boxbackup.org
Sun Aug 23 16:04:45 BST 2015


Author: chris
Date: 2015-08-23 15:04:44 +0000 (Sun, 23 Aug 2015)
New Revision: 3629

Added:
   box/trunk/infrastructure/mingw/compile-boxbackup-cygwin.sh
Log:
Add script to compile Box Backup and dependencies on Windows (Cygwin).

Automates the instructions found in docs/api-notes/win32_build_on_cygwin_using_mingw.txt.


Added: box/trunk/infrastructure/mingw/compile-boxbackup-cygwin.sh
===================================================================
--- box/trunk/infrastructure/mingw/compile-boxbackup-cygwin.sh	                        (rev 0)
+++ box/trunk/infrastructure/mingw/compile-boxbackup-cygwin.sh	2015-08-23 15:04:44 UTC (rev 3629)
@@ -0,0 +1,55 @@
+#!/bin/sh
+
+set -e
+set -x
+
+wget -c https://cygwin.com/setup-x86_64.exe \
+|| powershell wget https://cygwin.com/setup-x86_64.exe -UseBasicParsing -outfile setup-x86_64.exe
+
+./setup-x86_64.exe --quiet-mode --packages \
+	"autoconf,automake,gdb,make,mingw64-x86_64-gcc,mingw64-x86_64-gcc-g++,
+	,mingw64-x86_64-zlib,libxml2,libxslt,perl,subversion,unzip,vim,wget"
+
+install_prefix=/usr/x86_64-w64-mingw32
+compiler_prefix=x86_64-w64-mingw32
+
+openssl_source=https://www.openssl.org/source/
+latest_openssl=`wget -O- -q $openssl_source \
+| grep '<td><a href="openssl-1.0.*.tar.gz">' \
+| sed -e 's/.tar.gz">.*//' -e 's/.*"//' | sort | tail -1`
+
+wget -c $openssl_source/$latest_openssl.tar.gz
+tar xzf $latest_openssl.tar.gz
+(
+	cd $latest_openssl
+	[ -r Makefile ] || \
+		./Configure --prefix=$install_prefix mingw64 \
+		--cross-compile-prefix=$compiler_prefix-
+	make
+	make install_sw
+)
+
+pcre_url=`wget -O- -q ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/ \
+| grep 'pcre-8.*.tar.bz2"' | sed -e 's/">pcre-.*//' | sed -e 's/.*<a href="//' \
+| tail -1`
+pcre_version=`basename $pcre_url .tar.bz2`
+wget -c $pcre_url
+tar xjf `basename $pcre_url`
+(
+	cd $pcre_version
+	./configure --prefix=$install_prefix --disable-shared \
+		--host=$compiler_prefix
+	make
+	make install
+)
+
+svn co https://www.boxbackup.org/svn/box/trunk/ bb-trunk
+(
+	cd bb-trunk
+	./infrastructure/mingw/configure.sh
+	make
+	./runtest ALL
+	./runtest ALL release
+)
+
+


Property changes on: box/trunk/infrastructure/mingw/compile-boxbackup-cygwin.sh
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property



More information about the Boxbackup-commit mailing list